Page MenuHomePhabricator

[OpenCL] Remove extra native_ functions from opencl-c.h
ClosedPublic

Authored by ashi1 on Aug 2 2016, 11:22 AM.

Details

Summary

There should be no native_ builtin functions with double type arguments.

Diff Detail

Repository
rL LLVM

Event Timeline

ashi1 updated this revision to Diff 66507.Aug 2 2016, 11:22 AM
ashi1 retitled this revision from to [OpenCL] Remove extra native_ functions from opencl-c.h.
ashi1 updated this object.
ashi1 added reviewers: Anastasia, yaxunl, nhaustov.
ashi1 set the repository for this revision to rL LLVM.
ashi1 added a subscriber: cfe-commits.
nhaustov accepted this revision.Aug 2 2016, 11:59 AM
nhaustov edited edge metadata.

LGTM, thanks.

Could you also note in commit message that online HTML docs are not very clear, but pdf of OpenCL specification has it right.

This revision is now accepted and ready to land.Aug 2 2016, 11:59 AM
yaxunl accepted this revision.Aug 2 2016, 2:12 PM
yaxunl edited edge metadata.
Anastasia accepted this revision.Aug 3 2016, 3:27 AM
Anastasia edited edge metadata.
yaxunl closed this revision.Aug 4 2016, 12:54 PM